## org.apache.batik.bridge
Class SVGTextElementBridge.TRefBridge

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
          org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler
              org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildTextContent
                  org.apache.batik.bridge.SVGTextElementBridge.TRefBridge

All Implemented Interfaces:
  BridgeUpdateHandler, SVGContext, SVGTextContent

Enclosing class:
  SVGTextElementBridge

protected class SVGTextElementBridge.TRefBridge
extends SVGTextElementBridge.AbstractTextChildTextContent

BridgeUpdateHandle for <tref> element.

Field Summary

Fields inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`ctx, e, textBridge`

Constructor Summary
`SVGTextElementBridge.TRefBridge(BridgeContext ctx, SVGTextElementBridge parent, org.w3c.dom.Element e)`

Method Summary
`void` `handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)` Handle the dynamic update for the attributes of <tspan> : 'x', 'y', 'dx', 'dy' and 'rotate'.

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildTextContent
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, selectSubString`

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler
`dispose, handleCSSEngineEvent, handleDOMCharacterDataModified, handleDOMNodeInsertedEvent, handleDOMNodeRemovedEvent`

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextElementBridge.TRefBridge

    public SVGTextElementBridge.TRefBridge(BridgeContext ctx,
                                           SVGTextElementBridge parent,
                                           org.w3c.dom.Element e)

Method Detail

### handleDOMAttrModifiedEvent

    public void handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)

  Handle the dynamic update for the attributes of <tspan> : 'x', 'y', 'dx', 'dy' and 'rotate'.

  Specified by:
    `handleDOMAttrModifiedEvent` in interface `BridgeUpdateHandler`
  Overrides:
    `handleDOMAttrModifiedEvent` in class `SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.